PUT /api/v202501/flag/flagIssueAction

Updates flag issues for a given list of flag issue ids

FlagIssueActionV202501 Permissions: FlaggedItems (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

FlagIssueListAction
Property Description Type
flagIssueAction FlagIssueEditAction
FlagIssueEditAction properties
Property Description Type
assignees All users currently assigned to this flag issue Required (defined) integer[]
comment Comment about the flag issue Required (defined) string
flagIssueStatusId Current status of the flag issue Must be a valid value for FlagStatusEnum: Unresolved = 1, Resolved = 2 Required (defined) integer (int32)
flagIssueIds The flag issues to update Required Cannot be Empty integer[]
Example Request Body application/json
{  "flagIssueAction": {    "assignees": [
      1
    ],    "comment": "string",    "flagIssueStatusId": 1
  },  "flagIssueIds": [
    1
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected Required (defined) integer (int32)
updated Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}